package com.trs.ggzyexchange.service;

import com.trs.ggzyexchange.entity.ZrzyBgBidwinNotice;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
public interface ZrzyBgBidwinNoticeService extends IService<ZrzyBgBidwinNotice> {

    int countNoticeByRegionCode(String regionCode);

    int countNoticeByRegionCodeAndTime(String region_code, Long resultStartTime, Long resultEndTime);

    ZrzyBgBidwinNotice getSumMoneyByRegionCode(String regionCode);
    ZrzyBgBidwinNotice getSumMoneyByRegionCode2(String code, String yearStart, String yearEnd);

    ZrzyBgBidwinNotice getSumMoney();
}
